## renren-fast-vue
- renren-fast-vue基于vue、element-ui构建开发，实现[renren-fast](https://gitee.com/renrenio/renren-fast)后台管理前端功能，提供一套更优的前端解决方案
- 前后端分离，通过token进行数据交互，可独立部署
- 主题定制，通过scss变量统一一站式定制
- 动态菜单，通过菜单管理统一管理访问路由
- 数据切换，通过mock配置对接口数据／mock模拟数据进行切换
- 发布时，可动态配置CDN静态资源／切换新旧版本
- 演示地址：[http://demo.open.renren.io/renren-fast](http://demo.open.renren.io/renren-fast) (账号密码：admin/admin)

## 说明文档
项目开发、部署等说明都在[wiki](https://github.com/renrenio/renren-fast-vue/wiki)中。


## 更新日志
每个版本的详细更改都记录在[release notes](https://github.com/renrenio/renren-fast-vue/releases)中。

## 打包 & 发布
> 构建生成的资源文件保存在/dist目录下，可通过config/index.js目录文件修改相关配置信息
```
# 构建生产环境(默认)
npm run build

# 构建测试环境
npm run build --qa

# 构建验收环境
npm run build --uat

# 构建生产环境
npm run build --prod
```

### todo list
* [x] 用户中心：充值、消费记录
* [x] 商品价格走势
* [x] 店铺信息查询
* [x] 淘宝客订单检测
* [x] 淘宝天猫下拉关键词搜索
* [x] 淘宝商品评论
* [x] 淘宝商品详情
* [x] 商品问大家接口
* [ ] 超级卡首屏
* [ ] 相似宝贝卡屏
* [ ] 猜你喜欢卡首屏
